--This file contains logic for: (fix line numbers)
----Book clicks					(line 10)
----Ring clicks					(line 44)
----Tabard voting clicks		(line 494)
----Researcher button clicks	(line 920)
----Leadership ranking clicks	(line 1078)

--function sendEventsToResearcher(logPayload)
	--checks to see whether logger functionality has been started
	--if so, then we can log clicks
	--if not, don't try since at least one of the variables (seconds1) will be nil and will throw an error when clicking anything
	--if (startLogging == 1) then
		--sendToResearcherLogger(logPayload);
		--trace("function sendEventsToResearcher sent a message to function sendToResearcherLogger with payload: " .. logPayload)
	--elseif ((startLogging == 0) and (SCisRes == 1)) then
		--if logging hasn't started, display this only to the researcher:
		--trace("click events not logging to researcher log because ScribeParticipant is not started");
	--end
--end
--##################################################################################################
-- QUEST LOG and BOOK CLICK HANDLER
--##################################################################################################

function MQuestLogCloseHandler()
	MQLFrame:Hide();
	MQLLeftFrame:Hide();
end

function handleBookMouseDown(self, buttonName)
	--trace("mouse down");
	--local timeString = calcHoursMinSec();

    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Left or right button both toggle the quest log
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		if (MQLFrame:IsShown() == 1) then
			--local output = "BOOK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked book log close\r";
			local output = "BOOK#" .. GetUnitName("Player") .. "#" .. "clicked book log close\r";
			sendToResearcherLogger(output);
			MQuestLogCloseHandler();
		elseif (MQLFrame:IsShown() == nil) then
			--local output = "BOOK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked book log open\r";
			local output = "BOOK#" .. GetUnitName("Player") .. "#" .. "clicked book log open\r";
			sendToResearcherLogger(output);
			MQLFrame:Show();
			MQLLeftFrame:Show();
			if (MalVars.checkpoint == 70) then
				SendAddonMessage("SC2Rv1", "WHISP2", "PARTY"); -- tell researcher that I clicked the book upon first instruction to do so
			end
		end;
	end
end


--##################################################################################################
--RING CLICK HANDLER
--##################################################################################################

function handleRingMouseDown(self, buttonName)
	--trace("mouse down");

    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Left or right button both activate the quest ring
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("Marauder Ring: handleMouseDown() - leftclick");
		--local meX, meY = GetPlayerMapPosition("player");
		--trace("Player location: " .. meX .. ", " .. meY);

		--Each time, send a message to the researcher's logger that a ring click has happened
		--These functions are in the ScribeLoggerUtils.lua file
		--Here at the top, for each ring click, calculate the timeString, then customize "output" for each click and send to logger with each one
		--local timeString = calcHoursMinSec();
		--local output = "RING#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ring\r";
		--local output = "RING#" .. UnitName("Player") .. "#" .. "clicked ring\r";
		--sendToResearcherLogger(output);


		-- ##############################
		-- Sound check and text display
		if (((MalVars.checkpoint == 20) or (MalVars.checkpoint == 30)) and (GetSubZoneText() == MalVars.Zones.violetstand)) then
			--20 or 30 because we want them to be able to do this multiple times
			--until they have their sound balanced correctly
			MalVars.checkpoint = 30;
			AddToOverhead(MalVars.ScreenTxt.line0010);
			PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\soundTest.mp3");
			SendAddonMessage("SC2Rv1", "WHISP1", "PARTY"); -- tell researcher that I clicked and got these messages
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: sound check\r";
			sendToResearcherLogger(output);
			return
		-- ##############################



		-- ##############################
		-- Next click event by the Librarian in Crystalsong Forest - Violet Stand
		-- First display of the quest window
		elseif ((MalVars.checkpoint == 90) and (GetSubZoneText() == MalVars.Zones.violetstand)) then
			--trace("SCNextClick = " .. SCNextClick);
			-- Librarian Belleford wanders; center of room at at 15.17 (.1517), 41.47 (.4147), threshold is .5 (.005)
			if (closeEnough(0.005, 0.15175, 0.41466) == 1) then
				--trace("entered closeEnough section");
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered quest The Librarian's Charge\r";
				sendToResearcherLogger(output);
				AddToQuestWindow(MalVars.nLib, "offer", MalVars.Quests.q1a.Title, MalVars.Quests.q1a.OffTop, MalVars.Quests.q1a.OffBot);
				SendAddonMessage("SC2Rv1", "LIB", "PARTY"); -- tell researcher that I clicked and got this quest
				MalVars.currQuest = "q1a";
				SCLibrarianTalked = 1;
				MalVars.checkpoint = 100;
				--Tracker: display text for quest 1a
				MarauderTracker.q1a.text:Show();
			else
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: too far from Librarian\r";
				sendToResearcherLogger(output);
				AddToOverhead(MalVars.ScreenTxt.line0020);

			end;
			return
		-- ##############################



		-- ##############################
		-- Next click event at Axechewer in Dalaran - Runeweaver Square
		elseif ((MalVars.checkpoint == 110) and (GetSubZoneText() == MalVars.Zones.runeweaversquare)) then
			-- Calculate distance to nearest party member, farthest party member should not exceed threshold
			-- (uses closeEnough function, which is in Utils.lua)
			-- and need to be closer than the threshold distance from Axechewer, who needs to stand very near (axeX, axeY)
			--Axechewer is at 50 (.50), 50, (.50), threshold is 1 (.01)
			--local threshold, axeX, axeY, maxDist, gotQuest, distToMe = 0.008, 0.5, 0.5, 0, 0, 0;
			if (closeEnough(0.03, 0.5, 0.5)) == 1 then
				local maxDist, distToPartyMember, groupThreshold = 0, 0, 0.03;
				local meX, meY = GetPlayerMapPosition("player");
				--trace("my position: " .. meX .. ", " .. meY)
				-- This means that the person doing the clicking is close enough to warrant some kind of response from Axechewer
				-- Now check to see whether all party members are close enough
				for i = 1, GetNumPartyMembers() do
					if (GetUnitName("party"..i) ~= MalVars.res) then
						local pX, pY = GetPlayerMapPosition("party"..i);
						--trace("location of " .. UnitName("party" .. i) .. ": " .. pX .. ", " .. pY);
						distToPartyMember = math.pow((math.pow((pX - meX), 2) + math.pow((pY - meY), 2)), 0.5);
						if distToPartyMember > maxDist then
							maxDist = distToPartyMember;
							--trace("maxDist = " .. maxDist)
						end
					end;
				end;
				if (maxDist < groupThreshold) then
					-- Here we want to send a message to the whole party with his response, so they all get it at once (and get SCNextClick = 120)
					SendAddonMessage("SCv1", "AXE", "PARTY");
					local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered completion of quest Librarian's Charge\r";
					sendToResearcherLogger(output);
				else
					-- Which means that nobody has done it right yet, AND a portion of the party is too far away.
					local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: whole party not near Axechewer\r";
					sendToResearcherLogger(output);
					AddToOverhead(MalVars.ScreenTxt.line0030);
				end;
			end;
			return
		-- ##############################



		-- ##############################
		-- Next click event
		-- Players have been killing bunnies/squirrels. With each kill, 1 is reported to each party member
		-- Each player tracks the number killed, and when updating to 3, also sets SCDoneBun to 1
		-- They don't need to return to Axechewer once the kill quest is done... pops automatically
		elseif ((MalVars.checkpoint == 140) and (GetSubZoneText() == MalVars.Zones.runeweaversquare)) then
			-- Quest not completed yet
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Axechewer but kills not complete\r";
			sendToResearcherLogger(output);
			--Display this error message locally
			AddToOverhead(MalVars.ScreenTxt.line0040); -- killed em yet?
			return

		elseif ((MalVars.checkpoint == 170) and (GetSubZoneText() == MalVars.Zones.runeweaversquare)) then
			-- Party already has the next quest, doesn't need to be clicking by Axechewer...
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Axechewer but quest already completed\r";
			sendToResearcherLogger(output);
			-- Display this error message locally
			AddToOverhead(MalVars.ScreenTxt.line0050); -- if ye'r too blind...
			return
		-- ##############################


		-- ##############################
		-- Next Click event, party splits up to speak with the four merchant NPCs
		-- Goal: Only one player can talk to any given Merchant, AND each player can get no more than 2 clues (to allow for groups of 3 or lazy players)
		-- Start the default closeEnoughNpc threshold at 0.01
		elseif (MalVars.checkpoint == 170) then
			-- Merchant 1 = "The Wonderworks" = "Jepetto Joybuzz", 44.81, 45.61
			if ((GetSubZoneText() == MalVars.Zones.wonderworks) and (closeEnough(0.01, 0.4481, 0.4561) == 1)) then
				if ((MalVars.merch1Tlk == 0) and (MalVars.merchantTalkCount == 0)) then
					SendAddonMessage("SCv1", "MERCH1", "PARTY"); -- tell party this merchant has been spoken to
					SendAddonMessage("SC2Rv1", "MERCH1", "PARTY"); -- tell researcher that I got this clue
					local output = "FB#" .. GetUnitName("Player") .. "#" .. "got merchant clue 1:Jepetto:symmetry\r";
					sendToResearcherLogger(output); -- send to researcher log as well
					-- The actual clue remains local to the clicking player, so only display it here
					ChatWhisper(MalVars.nJep, MalVars.ScreenTxt.line0055);
					if (MalVars.merchClueTxt1 == nil) then
						MalVars.merchClueTxt1 = MalVars.ScreenTxt.line0065;
						MQLLeftFrameScrollFrameScrollChildFrameClues1:Show();
					end
					MalVars.merchantTalkCount = MalVars.merchantTalkCount + 1; -- this is only set locally (how many this player has talked to)
				else
					AddToOverhead(MalVars.ScreenTxt.line0060);
					local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Jepetto but no clue\r";
					sendToResearcherLogger(output);
				end; --(of merchant 1)
			-- Merchant 2 = "The Threads of Fate" = Karandonna, 44.8, 48.65
			elseif ((GetSubZoneText() == MalVars.Zones.threadsoffate) and (closeEnough(0.01, 0.4480, 0.4865) == 1)) then
				if ((MalVars.merch2Tlk == 0) and (MalVars.merchantTalkCount == 0)) then
					SendAddonMessage("SCv1", "MERCH2", "PARTY"); -- tell party this merchant has been spoken to
					SendAddonMessage("SC2Rv1", "MERCH2", "PARTY"); -- tell researcher that I got this clue
					local output = "FB#" .. GetUnitName("Player") .. "#" .. "got merchant clue 2:Karandonna:disruptskies\r";
					sendToResearcherLogger(output); -- send to researcher log as well
					-- The actual clue remains local to the clicking player, so only display it here
					ChatWhisper(MalVars.nKar, MalVars.ScreenTxt.line0056);
					if (MalVars.merchClueTxt1 == nil) then
						MalVars.merchClueTxt1 = MalVars.ScreenTxt.line0066;
						MQLLeftFrameScrollFrameScrollChildFrameClues1:Show();
					end
					MalVars.merchantTalkCount = MalVars.merchantTalkCount + 1; -- this is only set locally (how many this player has talked to)
				else
					AddToOverhead(MalVars.ScreenTxt.line0070);
					local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Karandonna but no clue\r";
					sendToResearcherLogger(output);
				end; --(of merchant 2)
			-- Merchant 3 = "The Legerdemain Lounge" = "Amisi Azuregaze", 50.25, 39.53
			elseif ((GetSubZoneText() == MalVars.Zones.legerdemainlounge) and (closeEnough(0.01, 0.5025, 0.3953) == 1)) then
				if ((MalVars.merch3Tlk == 0) and (MalVars.merchantTalkCount == 0)) then
					SendAddonMessage("SCv1", "MERCH3", "PARTY"); -- tell party this merchant has been spoken to
					SendAddonMessage("SC2Rv1", "MERCH3", "PARTY"); -- tell researcher that I got this clue
					local output = "FB#" .. GetUnitName("Player") .. "#" .. "got merchant clue 3:Amisi:firelight\r";
					sendToResearcherLogger(output); -- send to researcher log as well
					-- The actual clue remains local to the clicking player, so only display it here
					ChatWhisper(MalVars.nAmi, MalVars.ScreenTxt.line0057);
					if (MalVars.merchClueTxt1 == nil) then
						MalVars.merchClueTxt1 = MalVars.ScreenTxt.line0067;
						MQLLeftFrameScrollFrameScrollChildFrameClues1:Show();
					end
					MalVars.merchantTalkCount = MalVars.merchantTalkCount + 1; -- this is only set locally (how many this player has talked to)
				else
					AddToOverhead(MalVars.ScreenTxt.line0080);
					local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Amisi but no clue\r";
					sendToResearcherLogger(output);
				end; --(of merchant 3)
			else
				--trace("Entered if structure for merchants but none matched");
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: during merchant quest but no clue\r";
				sendToResearcherLogger(output);
			end;
			return--(end of Merchant quest)

		-- Click near Azukk in the graveyard by the Violet Citadel
		elseif ((MalVars.checkpoint == 230) and (closeEnough(0.02, 0.3270, 0.3610) == 1)) then
			--make this a group popup instead, AND where the whole party has to be close (and error message if not)
			local maxDist, distToPartyMember, groupThreshold = 0, 0, 0.03;
			local meX, meY = GetPlayerMapPosition("player");
			--trace("my position: " .. meX .. ", " .. meY)
			-- This means that the person doing the clicking is close enough to warrant some kind of response from Axechewer
			-- Now check to see whether all party members are close enough
			for i = 1, GetNumPartyMembers() do
				if (GetUnitName("party"..i) ~= MalVars.res) then
					local pX, pY = GetPlayerMapPosition("party"..i);
					--trace("location of " .. UnitName("party" .. i) .. ": " .. pX .. ", " .. pY);
					distToPartyMember = math.pow((math.pow((pX - meX), 2) + math.pow((pY - meY), 2)), 0.5);
					if distToPartyMember > maxDist then
						maxDist = distToPartyMember;
						--trace("maxDist = " .. maxDist)
					end
				end;
			end;
			if (maxDist < groupThreshold) then
			-- Here we want to send a message to the whole party with his response, so they all get it at once (and get the variable advance)
				SendAddonMessage("SCv1", "GRAVEYARD", "PARTY");
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered completion of quest Dark Shadows\r";
				sendToResearcherLogger(output);
			else
				-- Which means that nobody has done it right yet, AND a portion of the party is too far away.
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: whole party not near Axechewer\r";
				sendToResearcherLogger(output);
				AddToOverhead(MalVars.ScreenTxt.line0200);
			end;

		-- Click near Rhudoh in the forge
		elseif ((MalVars.checkpoint == 260) and (GetSubZoneText() == MalVars.Zones.forgeoffate)) then
			--make this a group popup instead, AND where the whole party has to be close (and error message if not)
			local maxDist, distToPartyMember, groupThreshold = 0, 0, 0.03;
			local meX, meY = GetPlayerMapPosition("player");
			--trace("my position: " .. meX .. ", " .. meY)
			-- This means that the person doing the clicking is close enough to warrant some kind of response from Axechewer
			-- Now check to see whether all party members are close enough
			for i = 1, GetNumPartyMembers() do
				if (GetUnitName("party"..i) ~= MalVars.res) then
					local pX, pY = GetPlayerMapPosition("party"..i);
					--trace("location of " .. UnitName("party" .. i) .. ": " .. pX .. ", " .. pY);
					distToPartyMember = math.pow((math.pow((pX - meX), 2) + math.pow((pY - meY), 2)), 0.5);
					if distToPartyMember > maxDist then
						maxDist = distToPartyMember;
						--trace("maxDist = " .. maxDist)
					end
				end;
			end;
			if (maxDist < groupThreshold) then
			-- Here we want to send a message to the whole party with his response, so they all get it at once (and get SCNextClick = 120)
				SendAddonMessage("SCv1", "FORGE", "PARTY");
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered completion of quest Operative Words\r";
				sendToResearcherLogger(output);
			else
				-- Which means that nobody has done it right yet, AND a portion of the party is too far away.
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: whole party not near Rhudoh\r";
				sendToResearcherLogger(output);
				AddToOverhead(MalVars.ScreenTxt.line0210);
			end;

		-- ##############################
		elseif ((MalVars.checkpoint == 305) and (GetSubZoneText() == MalVars.Zones.purpleparlor)) then
			--change to send to whole party
			SendAddonMessage("SCv1", "WHADDAYAWANT", "PARTY");
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Calliopeia upon entry\r";
			sendToResearcherLogger(output);

		-- Next Click event, party talks to Calliopeia
		elseif ((MalVars.checkpoint == 360) and (GetSubZoneText() == MalVars.Zones.purpleparlor)) then
			--Changed this back to whole party
			SendAddonMessage("SCv1", "COIN", "PARTY");
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Calliopeia and asked for bribe\r";
			sendToResearcherLogger(output);
		-- ##############################

		-- ##############################
		-- Next Click event, party heads to talk to Azukk in Cantrips & Crows
		-- No longer a click event, replaced by speaking the secret code to Azukk (leave this commented here in case it doesn't work)
		elseif ((MalVars.checkpoint == 420) and (closeEnough(0.02, 0.3770, 0.6070) == 1) and (GetSubZoneText() == MalVars.Zones.cantripsandcrows)) then
			SendAddonMessage("SCv1", "CHALLENGE", "PARTY"); -- this is the line that goes with the listener...
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered quest The Cow Came Home\r";
			sendToResearcherLogger(output);

		elseif ((MalVars.checkpoint >= 470) and (closeEnough(0.01, 0.3770, 0.6070) == 1)) then
			AddToOverhead(MalVars.ScreenTxt.line0109);
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by Azukk but quest already completed\r";
			sendToResearcherLogger(output);
		-- ##############################

		-- ##############################
		-- Next Click event, hail Jindall in sewers
		elseif ((MalVars.checkpoint == 490) and (GetSubZoneText() == MalVars.Zones.circleofwills) and (closeEnough(0.02, 0.5950, 0.5840) == 1)) then
			-- Send message to party for Jindall and April's initial text
			--trace("Sent SEWERS command");
			SendAddonMessage("SCv1", "SEWERS", "PARTY");
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered quest I Smell a Turtle\r";
			sendToResearcherLogger(output);
		-- ##############################

		-- #############################
		-- Next Click event, talk to April
		elseif ((GetSubZoneText() == MalVars.Zones.circleofwills) and (closeEnough(0.02, 0.4900, 0.5210) == 1)) then
			if (MalVars.checkpoint == 580) then
				--send message to party so everyone gets dueling quest at same time
				SendAddonMessage("SCv1", "GODUEL", "PARTY");
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: offered quest Come Out Swingin\r";
				sendToResearcherLogger(output);
			elseif (MalVars.checkpoint == 600) then
				--trace("already talked to her");
				AddToOverhead(MalVars.ScreenTxt.line0109a);
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by April but already have quest and should be fighting\r";
				sendToResearcherLogger(output);
			elseif (MalVars.checkpoint >= 610) then
				--already completed duels, on the next quest
				AddToOverhead(MalVars.ScreenTxt.line0110);
				local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: by April but already completed her quest\r";
				sendToResearcherLogger(output);
			end;
		-- #############################

		-- #############################
		-- Next Click event, click at the Washed-up Mage [43.18, 24.40]
		elseif ((MalVars.checkpoint == 630) and (GetSubZoneText() == MalVars.Zones.underbelly) and (closeEnough(0.02, 0.4318, 0.2440) == 1)) then
			--trace("Sent DIE command");
			SendAddonMessage("SCv1", "DIE", "PARTY");
		-- #############################

		-- #############################
		-- Next Click event, someone clicks at the Washed-up Mage (no longer has to be the ghost)
		-- (no longer involves standing in the rings)
		elseif ((MalVars.checkpoint == 670) and (closeEnough(0.02, 0.4318, 0.2440) == 1)) then
			--trace("matched the three conditions for clicking by the mage for the RINGS test");
			--trace("Dead by mage sending RINGS request");
			SendAddonMessage("SCv1", "CUT2", "PARTY");
		-- #############################

		-- #############################
		-- Next Click event, party returns to surface and "hands over" the spell to Aladriaa
		elseif ((MalVars.checkpoint == 740) and (GetSubZoneText() == MalVars.Zones.violetstand)) then
			SendAddonMessage("SCv1", "SPELL", "PARTY");
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: complete quest Delivering the Goods\r";
			sendToResearcherLogger(output);
		-- #############################

		else
			--trace("didn't match any of the conditions in the ring click handler");
			-- Clicked a ring, but didn't satisfy any of the conditions above
			local output = "RING#" .. GetUnitName("Player") .. "#" .. "clicked ring: no event configured\r";
			sendToResearcherLogger(output);
		end;
	end; --(of the left-click handler)

end; --(of Quest ring clicking)



--##################################################################################################
--TABARD VOTING CLICK HANDLER
--##################################################################################################

-- For the tabard voting, individual handlers for each button
-- Each player votes for the tabard icon they think the clues suggest

function handleT1MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote01);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard1\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T01", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT2MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote02);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard2\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T02", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT3MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote03);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard3\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T03", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT4MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote04);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard4\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T04", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT5MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote05);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard5\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T05", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT6MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote06);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard6\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T06", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT7MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote07);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard7\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T07", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT8MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote08);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard8\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T08", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT9MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote09);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard9\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T09", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################

function handleT10MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote10);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard10\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T10", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################


function handleT11MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote11);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard11\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T11", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(0.8, 0, 0.6, 1);
		MarauderTabs.tabbase12:SetTexture(1, 0.8, 0, 1);
	end;
end;

-- #########################################################################################


function handleT12MouseDown(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

    -- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
		trace(MalVars.TabardEcho.vote12);
		local output = "TAB#" .. GetUnitName("Player") .. "#" .. "clicked tabard12\r";
		sendToResearcherLogger(output);
		if (MalVars.isRes == 0) then
			SendAddonMessage("SC2Rv1", "T12", "PARTY");
		end;
		MarauderTabs.tabbase1:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase2:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase3:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase4:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase5:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase6:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase7:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase8:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase9:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase10:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase11:SetTexture(1, 0.8, 0, 1);
		MarauderTabs.tabbase12:SetTexture(0.8, 0, 0.6, 1);
	end;
end;


--##################################################################################################
--RESEARCHER BUTTON CLICK HANDLER
--##################################################################################################


function handleRB1Click() -- INIT: initialize addon, do any necessary registrations

    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	--Register the local addon as a participant researcher - this is the only local action for any researcher button
	MalVars.isRes = 1;
	--Send message triggering instruction 1
	trace("Clicked RB1 - sent INIT command");
	SendAddonMessage("SRv1", "INIT", "PARTY");
	--An attempt to register researcher's name for the logger... AND for populating that variable for players
	--local me = GetUnitName("player");
	--SendAddonMessage("SRRv1", me, "PARTY");
end;

function handleRB2Click() -- STATUS
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	--still also available by slash command
	trace("Clicked RB2 - send STATUS command");
	SendAddonMessage("SRv1", "STATUS", "PARTY");
end;

function handleRB3Click() -- Send Reset
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	ResetCheckpoint.input:SetText("");
	ResetCheckpoint:Show();
end;

function handleRB4Click() -- RING: send command to populate the ring button, and enable it to do text and sound check
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB4 - sent RING command");
	SendAddonMessage("SRv1", "RING", "PARTY");
	--Advance variable here just for the researcher, so that researcher doesn't have to click the quest ring
	MalVars.checkpoint = 30;
end;

function handleRB5Click() -- CODE: researcher enters the secret word for this session
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB5 - change secret code");
	EnterClue.input:SetText("");
	EnterClue:Show();
end;

function handleRB6Click() -- NAME: researcher enters the group name selected by the party
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB6 - change party name");
	EnterName.input:SetText("");
	EnterName:Show();
end;

function handleRB7Click() --CUT-1: send command advancing SCNextClick (enabling ring click to display whispered message from ALADRIAA)
	-- and instead of old CUT-1 and SET buttons, automate cutscene 1 and subsequent quest offer
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB7 - sent CUT-1 command");
	SendAddonMessage("SRv1", "CUT-1", "PARTY");
end;

function handleRB8Click() -- GoQuest: enable the ring to begin the quest proper
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB8 - sent GO command");
	SendAddonMessage("SRv1", "GO", "PARTY");
end;

function handleRB9Click() -- TRADED: successfully provided gifts to start Mage tower quest, trigger next step
	-- This must remain a researcher button, since the trading of gifts is with the live researcher
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB9 - sent TRADED command");
	SendAddonMessage("SRv1", "TRADED", "PARTY");
end;

function handleRB10Click() --REPORT-1: Learned WHO from Calliopeia, were asked to report to Aladriaa about the identity of the Marauders
	-- This button is the researcher confirming that the report has been satisfactorily delivered in party chat
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB10 - sent REPORT-1 command");
	SendAddonMessage("SRv1", "REPORT-1", "PARTY");
end;

function handleRB11Click() --BRIBED
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB10 - sent BRIBED command");
	SendAddonMessage("SRv1", "BRIBED", "PARTY");
end;

function handleRB12Click() -- REPORT-2: After killing rats for Jindall, players learned WHAT the Marauders are doing, and are asked to report to Aladriaa
	--- This button is the researcher confirming that the report has been satisfactorily delivered in party chat
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB12 - sent REPORT-2 command");
	SendAddonMessage("SRv1", "REPORT-2", "PARTY");
end;

function handleRB13Click() -- REPORT-3: After 2nd cut scene, players are asked to report to Aladriaa how to stop the machine
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB13 - sent REPORT-3 command");
	SendAddonMessage("SRv1", "REPORT-3", "PARTY");
end;

function handleRB14Click() -- MOBS: The boss arrives and yells
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB14 - sent MOBS command");
	SendAddonMessage("SRv1", "MOBS", "PARTY");
end;

function handleRB15Click() -- BOSS
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB15 - sent BOSS command");
	SendAddonMessage("SRv1", "BOSS", "PARTY");
	--SendAddonMessage("SRv1", "STEALME", "PARTY");
end;

function handleRB16Click() -- BOOM: launches cutscene 3 for final battle
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB16 - sent BOOM command");
	SendAddonMessage("SRv1", "BOOM", "PARTY");
end;

function handleRB17Click() -- LDR: Trigger leader voting
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB17 - sent LEADER command");
	SendAddonMessage("SRv1", "LEADER", "PARTY");
end;

function handleRB18Click() -- The End: Show "The End" screen; Do any final cleanup
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB18 - display goodbye graphic");
	SendAddonMessage("SRv1", "DONE", "PARTY");
end;

function handleRB19Click() -- DONE WITH SESSION: Send END log event to researcher logger (local only)
	--Button clicked once all the players have logged off and the session is completed
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	trace("Clicked RB19 - End of session");
	AddToOverhead(MalVars.ScreenTxt.line0220);
	local output = "END#EndOfSession\r";
	sendWhisperToResearcherLogger(output);
end;

--##################################################################################################
--ACHIEVEMENT BUTTON CLICK HANDLER
--##################################################################################################
--For researcher granting achievements manually based on observed behavior

function handleAB1Click() --

    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH1", "PARTY")
end;

function handleAB2Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH2", "PARTY")
end;


function handleAB3Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH3", "PARTY")
end;

function handleAB4Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH4", "PARTY")
end;

function handleAB5Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH5", "PARTY")
end;

function handleAB6Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH6", "PARTY")
end;

function handleAB7Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH7", "PARTY")
end;

function handleAB8Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH8", "PARTY")
end;

function handleAB9Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	SendAddonMessage("SRv1", "ACH9", "PARTY")
end;

function handleAB13Click() -- the LoadScribe button
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	--Send message to Load the MParticipant function
	SendAddonMessage("SRv1", "ACH13", "PARTY")
end;

function handleAB14Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	--This one is the bottom center, this one is always up for the researcher
	-- Handle right or left button clicks
	if (AB1:IsShown() == 1) then
		AB1:Hide()
		AB2:Hide()
		AB3:Hide()
		AB4:Hide()
		AB5:Hide()
		AB6:Hide()
		AB7:Hide()
		AB8:Hide()
		AB9:Hide()
	elseif (AB1:IsShown() == nil) then
		AB1:Show()
		AB2:Show()
		AB3:Show()
		AB4:Show()
		AB5:Show()
		AB6:Show()
		AB7:Show()
		AB8:Show()
		AB9:Show()
		AB13:Show()
		AB15:Show()
	end;

end;

function handleAB15Click() --
    -- Prevent activation when in combat
	if (InCombatLockdown() == 1) then
		return;
	end;
	--Send message to play the rogue stealth sound
	--SendAddonMessage("SRv1", "ASSASSIN", "PARTY");
end;

--##################################################################################################
--LEADERSHIP RANKING BUTTON CLICK HANDLER
--##################################################################################################

SCLdrRankings = {};
--ToDo: after doing SCchoice, come back and continue from here
-- #########################################################################################

function rankA1Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vA1, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking A1\r";
		local output = "RANK#" .. GetUnitName("Player") .. "#" .. "chose number 1 leader#" .. MalVars.choiceA .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankA = 1;
		MSurveyFrame.va1:SetChecked(true)
		MSurveyFrame.va2:SetChecked(false)
		MSurveyFrame.va3:SetChecked(false)
		MSurveyFrame.va4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankA2Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vA2, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking A2\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 2 leader#" .. MalVars.choiceA .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankA = 2;
		MSurveyFrame.va1:SetChecked(false)
		MSurveyFrame.va2:SetChecked(true)
		MSurveyFrame.va3:SetChecked(false)
		MSurveyFrame.va4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankA3Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vA3, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking A3\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 3 leader#" .. MalVars.choiceA .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankA = 3;
		MSurveyFrame.va1:SetChecked(false)
		MSurveyFrame.va2:SetChecked(false)
		MSurveyFrame.va3:SetChecked(true)
		MSurveyFrame.va4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankA4Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vA4, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking A4\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 4 leader#" .. MalVars.choiceA .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankA = 4;
		MSurveyFrame.va1:SetChecked(false)
		MSurveyFrame.va2:SetChecked(false)
		MSurveyFrame.va3:SetChecked(false)
		MSurveyFrame.va4:SetChecked(true)
	end;
end;

-- #########################################################################################


function rankB1Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vB1, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking B1\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 1 leader#" .. MalVars.choiceB .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankB = 1;
		MSurveyFrame.vb1:SetChecked(true)
		MSurveyFrame.vb2:SetChecked(false)
		MSurveyFrame.vb3:SetChecked(false)
		MSurveyFrame.vb4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankB2Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vB2, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking B2\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 2 leader#" .. MalVars.choiceB .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankB = 2;
		MSurveyFrame.vb1:SetChecked(false)
		MSurveyFrame.vb2:SetChecked(true)
		MSurveyFrame.vb3:SetChecked(false)
		MSurveyFrame.vb4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankB3Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vB3, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking B3\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 3 leader#" .. MalVars.choiceB .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankB = 3;
		MSurveyFrame.vb1:SetChecked(false)
		MSurveyFrame.vb2:SetChecked(false)
		MSurveyFrame.vb3:SetChecked(true)
		MSurveyFrame.vb4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankB4Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vB4, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking B4\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 4 leader#" .. MalVars.choiceB .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankB = 4;
		MSurveyFrame.vb1:SetChecked(false)
		MSurveyFrame.vb2:SetChecked(false)
		MSurveyFrame.vb3:SetChecked(false)
		MSurveyFrame.vb4:SetChecked(true)
	end;
end;

-- #########################################################################################


function rankC1Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vC1, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking C1\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 1 leader#" .. MalVars.choiceC .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankC = 1;
		MSurveyFrame.vc1:SetChecked(true)
		MSurveyFrame.vc2:SetChecked(false)
		MSurveyFrame.vc3:SetChecked(false)
		MSurveyFrame.vc4:SetChecked(false)
	end;
end;

-- #########################################################################################


function rankC2Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vC2, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking C2\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 2 leader#" .. MalVars.choiceC .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankC = 2;
		MSurveyFrame.vc1:SetChecked(false)
		MSurveyFrame.vc2:SetChecked(true)
		MSurveyFrame.vc3:SetChecked(false)
		MSurveyFrame.vc4:SetChecked(false)
	end;
end;

-- #########################################################################################



function rankC3Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vC3, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking C3\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 3 leader#" .. MalVars.choiceC .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankC = 3;
		MSurveyFrame.vc1:SetChecked(false)
		MSurveyFrame.vc2:SetChecked(false)
		MSurveyFrame.vc3:SetChecked(true)
		MSurveyFrame.vc4:SetChecked(false)
	end;
end;

-- #########################################################################################



function rankC4Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vC4, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking C4\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 4 leader#" .. MalVars.choiceC .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankC = 4;
		MSurveyFrame.vc1:SetChecked(false)
		MSurveyFrame.vc2:SetChecked(false)
		MSurveyFrame.vc3:SetChecked(false)
		MSurveyFrame.vc4:SetChecked(true)
	end;
end;

-- #########################################################################################

function rankD1Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vD1, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking D1\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 1 leader#" .. MalVars.choiceD .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankD = 1;
		MSurveyFrame.vd1:SetChecked(true)
		MSurveyFrame.vd2:SetChecked(false)
		MSurveyFrame.vd3:SetChecked(false)
		MSurveyFrame.vd4:SetChecked(false)
	end;
end;

-- #########################################################################################

function rankD2Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vD2, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking D2\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 2 leader#" .. MalVars.choiceD .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankD = 2;
		MSurveyFrame.vd1:SetChecked(false)
		MSurveyFrame.vd2:SetChecked(true)
		MSurveyFrame.vd3:SetChecked(false)
		MSurveyFrame.vd4:SetChecked(false)
	end;
end;

-- #########################################################################################

function rankD3Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vD3, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking D3\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 3 leader#" .. MalVars.choiceD .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankD = 3;
		MSurveyFrame.vd1:SetChecked(false)
		MSurveyFrame.vd2:SetChecked(false)
		MSurveyFrame.vd3:SetChecked(true)
		MSurveyFrame.vd4:SetChecked(false)
	end;
end;

-- #########################################################################################

function rankD4Handler(self, buttonName)
	--trace("mouse down");
    -- Prevent activation when in combat
		if (InCombatLockdown() == 1) then
			return;
		end

	-- Handle button clicks
    if ((buttonName == "LeftButton") or (buttonName == "RightButton")) then
    	--trace("clicked vD4, uncheck the other 3");
		--local timeString = calcHoursMinSec();
		--local output = "RANK#" .. timeString .. "#" .. UnitName("Player") .. "#" .. "clicked ranking D4\r";
		local output = "RANK#" .. UnitName("Player") .. "#" .. "chose number 4 leader#" .. MalVars.choiceD .. "\r";
		sendToResearcherLogger(output);
		MalVars.rankD = 4;
		MSurveyFrame.vd1:SetChecked(false)
		MSurveyFrame.vd2:SetChecked(false)
		MSurveyFrame.vd3:SetChecked(false)
		MSurveyFrame.vd4:SetChecked(true)
	end;
end;

-- #########################################################################################











