--Animation transition handlers
--For graphics that have timed/sequential effects


-- First, the handler for fading overhead screen text... after the text fades (10 sec), Hide the frame so it's not in the way of clicking
-- And use for events that happen after the animation has completed

function theEndTitle()
	--trace("theEndTitle function called, should be displaying picture");
	TheEnd.left:SetAlpha("0");
	TheEnd.right:SetAlpha("0");
	TheEnd:Show();
	TheEnd.left.anim01:Play();
	TheEnd.right.anim01:Play();
end

function finalCleanup() -- played at conclusion of The End graphic fade, clear out variables, re-set some things
	HideUIPanel(TheEnd);
	--trace("finalCleanup handler launched after animation complete on TheEnd")
	initializeMarauderVars();
	MalVars.checkpoint = 0;
	Mclue = Mcode
	MalVars.whoClue = ""
	MalVars.whatClue = ""
	MalVars.howClue = ""
	--After re-initialization, restore these changes to the default UI:
	WatchFrame:Show(); --Re-show the Blizzard Quest Tracker
	--ToDo: make this conditional on whether these two were displayed for the player in the first place
	MultiBarLeft:Show(); --Hide the Blizzard Right-screen Action Bar 1
	MultiBarRight:Show(); --Hide the Blizzard Right-screen Action Bar 2
	--ToDo: also make these conditional on whether they were subscribed to begin with
	JoinTemporaryChannel(MalVars.Channels.trade);
	JoinTemporaryChannel(MalVars.Channels.lfg);
	JoinTemporaryChannel(MalVars.Channels.general);
	JoinTemporaryChannel(MalVars.Channels.localdefense);
	--ToDo: turn off "away message" feature
end

function rogueSoundLauncher(delay)
	if (delay == 0) then --this one is delayed after
		PlaySound("Stealth", "Master");
		RogueDelay:SetAlpha("0");
		RogueDelay:Show();
		RogueDelay.anim00:Play();
	elseif (delay == 2) then
		RogueDelay:SetAlpha("0");
		RogueDelay:Show();
		RogueDelay.anim02:Play();
	elseif (delay == 5) then
		RogueDelay:SetAlpha("0");
		RogueDelay:Show();
		RogueDelay.anim05:Play();
	end
end

function rogueSoundDelayHandler()
	PlaySound("Stealth", "Master");
end

function rogueSoundPostDelayHandler()
	AddToOverhead(MalVars.ScreenTxt.line0014);
	MalVars.checkpoint = 80;
end

function screenTextFadeHandler()
	--The overhead text has just faded out
	Marauder:Hide();
	if (MalVars.checkpoint == 500) then
		MalVars.currQuest = "q2f";
		AddToQuestWindow("Jindall", "intro", MalVars.Quests.q2f.Title, MalVars.Quests.q2f.IntroTop)
		MalVars.checkpoint = 510;
	end
end;

function screenTextQuickFadeHandler()
	--A quicker fade out of overhead text, for the combat sequence at the end
	--Used twice after nIzu's battle cry and nAla's retort (Hornswaggle)
	Marauder:Hide();
	if (MalVars.checkpoint == 285) then
		AddToQuestWindow(MalVars.nAla, "complete", MalVars.Quests.q1g.Title, MalVars.Quests.q1g.CompTop)
		MalVars.checkpoint = 290
		--Tracker: complete quest 1g
		MarauderTracker.q1g.check:Show();
	elseif (MalVars.checkpoint == 770) then
		AddToOverheadQuick(MalVars.ScreenTxt.line0130); -- Gar Hornswaggle displayed
		MalVars.checkpoint = 780;
	elseif MalVars.checkpoint == 780 then
		AddToQuestWindow(MalVars.nIzu, "offer", MalVars.Quests.q4a.Title, MalVars.Quests.q4a.OffTop, MalVars.Quests.q4a.OffBot);
		MalVars.currQuest = "q4a";
		MalVars.checkpoint = 790;
		--Tracker: add a fourth quest section - FINAL SHOWDOWN
		MarauderTracker.title4:Show();
		MarauderTracker.q4a.text:SetText(MalVars.nIzu);
		MarauderTracker.q4a.text:Show();
	end
end

-- Do the ZAP effects
function zapMe()
	Zap.left:SetAlpha("0"); --since initial action is a fadein from black
	Zap.right:SetAlpha("0");
	Zap:Show(); -- the whole frame is hidden by default, so show it starting here until the end - with background visible
	Zap.left:Show(); --show default texture from XML file
	Zap.right:Show();
	--local played = PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\FX-Lazer296.mp3", "Master");
	PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\MageSound.mp3", "Master");
	Zap.left.anim01:Play();
	Zap.right.anim01:Play();
end

function zapMeLater()
	--used for delayed launch of zap
	delayCounter.left:SetAlpha("0");
	delayCounter.right:SetAlpha("0");
	delayCounter:Show();
	delayCounter.left:Show();
	delayCounter.right:Show();
	delayCounter.left.anim01:Play();
	delayCounter.right.anim01:Play();
end


-- No longer doing more than one zap at a time, so no loop. Just hide here, unless we need to add another function
function zapFadeHandler()
	Zap:Hide();
end

-- To the Boom effects (triggered by researcher with BOOM button)
function boomIt()
	Boom.left:SetAlpha("0");
	Boom.right:SetAlpha("0");
	Boom:Show()
	Boom.left:Show()
	Boom.right:Show()
	PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\ElectricShockZap.mp3", "Master"); -- change this to a different Sound
	Boom.left.anim01:Play();
	Boom.right.anim01:Play();
end



-- Now, the cutscenes
-- Naming: first digit is cutscene number, second/third number is transition number

-- Faction-specific content: default texture file will be the horde, so there will be an IF condition for faction group == alliance
-- UnitFactionGroup() returns both faction group (generic "Horde" or "Alliance"), and faction name (don't bother with this)
-- then change the file via SetTexture

-- ######################################################### --
-- cutscene 1 (screen 9 is faction-specific)
-- ######################################################### --
function transition000Handler()
	FadeToMarble:SetAlpha("0");
	FadeToMarble:Show();
	FadeToMarble.anim00:Play();
end

function transition100Handler()
	--trace("called transition100Handler...");
	ChatWhisper(MalVars.nAla, MalVars.ScreenTxt.line0013);
	-- a delay animation so that the chat lead-in has 4 seconds to be displayed before the scene starts
	--NOW (3.1.9) launched at the end of a previous chat-triggered transition000Handler()
	FadeToMarble:SetAlpha("0");
	FadeToMarble:Show();
	FadeToMarble.anim01:Play();
end

function transition101Handler()
	-- before the first texture is displayed... this is the trigger for launching the cutscene
	MarauderRing:Hide();
	MarauderRes:Hide();
	MarauderBook:Hide();
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\CS1_img1_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\CS1_img1_02");
	--print(visible2);
	CutScene1.left:SetAlpha("0"); --since initial action is a fadein from black
	CutScene1.right:SetAlpha("0");
	CutScene1:Show(); -- the whole frame is hidden by default, so show it starting here until the end - with background visible
	CutScene1.left:Show(); --show default texture from XML file
	CutScene1.right:Show();
	local played = PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\cutscene1.mp3", "Master");
	--print("played: " .. played);
	CutScene1.left.anim01:Play(); --play first animation group
	CutScene1.right.anim01:Play();
end;

function transition102Handler()
	--print("transition102Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img2_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img2_02");
	--print(visible2);
	CutScene1.left.anim02:Play(); --play second animation group
	CutScene1.right.anim02:Play();
end;

function transition103Handler()
	--print("transition103Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img3_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img3_02");
	--print(visible2);
	CutScene1.left.anim03:Play(); --play third animation group
	CutScene1.right.anim03:Play();
end;

function transition104Handler()
	--print("transition104Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img4_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img4_02");
	--print(visible2);
	CutScene1.left.anim04:Play(); --play fourth animation group
	CutScene1.right.anim04:Play();
end;

function transition105Handler()
	--print("transition105Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img5_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img5_02");
	--print(visible2);
	CutScene1.left.anim05:Play(); --play fith animation group
	CutScene1.right.anim05:Play();
end;

function transition106Handler()
	--print("transition106Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img6_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img6_02");
	--print(visible2);
	CutScene1.left.anim06:Play(); --play sixth animation group
	CutScene1.right.anim06:Play();
end;

function transition107Handler()
	--print("transition107Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img7_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img7_02");
	--print(visible2);
	CutScene1.left.anim07:Play(); --play seventh animation group
	CutScene1.right.anim07:Play();
end;

function transition108Handler()
	--print("transition108Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img8_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img8_02");
	--print(visible2);
	CutScene1.left.anim08:Play(); --play eighth animation group
	CutScene1.right.anim08:Play();
end;

function transition109Handler()
	-- do stuff. This one is faction-specific:
	-- if alliance, set the appropriate text file.. SetTexture
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Ally_01");
		--print(visible2)
		local visible1 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Hrd_01");
		--print(visible1)
		local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Hrd_01");
		--print(visible1)
		local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img9Hrd_02");
		--print(visible2);
	end;
	CutScene1.left.anim09:Play(); --play ninth animation group
	CutScene1.right.anim09:Play();
end;

function transition110Handler()
	--print("transition110Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\CS1_img10_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\CS1_img10_02");
	--print(visible2);
	CutScene1.left.anim10:Play(); --play tenth animation group
	CutScene1.right.anim10:Play();
end;

function transition111Handler()
	-- do stuff into image 11, the last one of this cutscene
	--print("transition111Handler was launched");
	local visible1 = CutScene1.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img11_blackScrnEnd_01");
	--print(visible1);
	local visible2 = CutScene1.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs1\\cs1_img11_blackScrnEnd_02");
	--print(visible2);
	CutScene1.left.anim11:Play(); --play eleventh animation group
	CutScene1.right.anim11:Play();
end;

function transition1endHandler()
	-- no number, to stress that this is the completion of this cutscene and any action will be going to some other thing
	CutScene1:Hide();
	MarauderRing:Show();
	AddToQuestWindow(MalVars.nAla, "offer", MalVars.Quests.q0a.Title, MalVars.Quests.q0a.OffTop, MalVars.Quests.q0a.OffBot);
	MalVars.currQuest = "q0a";
	MalVars.checkpoint = 60;
	--restore the quest window layout to the standard display (from when it used to be altered by GNOMES)
	MQuestFrameOKButton:Show();
	MQuestFrameBotRightPatch:Hide();
	--Tracker: Show the three quest category titles and the book
	MarauderBook:Show();
	MarauderTracker:Show();
	MarauderTracker.title1:Show();
	MarauderTracker.title2:Show();
	MarauderTracker.title3:Show();
	if (MalVars.isRes == 1) then
		--trace("SCisRes = 1 checked");
		MarauderRes:Show();
	end;
end;

-- ######################################################### --
-- cutscene 2 (screens 3, 4, 5 and 7 are faction-specific)
-- ######################################################### --
function transition201Handler()
	-- before the first texture is displayed... this is the trigger for launching the cutscene
	MarauderRing:Hide();
	MarauderRes:Hide();
	MarauderBook:Hide();
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img1_01");
	--print("img1l" .. visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img1_02");
	--print("img1r" .. visible2);
	CutScene2.left:SetAlpha("0"); --since initial action is a fadein from black
	CutScene2.right:SetAlpha("0");
	CutScene2.left:Show(); --show default texture from XML file
	CutScene2.right:Show();
	CutScene2:Show(); -- the whole frame is hidden by default, so show it starting here until the end - with background visible
	local played = PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\cutscene2.mp3", "Master");
	--print("played: " .. played);
	CutScene2.left.anim01:Play(); --play first animation group (img1)
	CutScene2.right.anim01:Play();
end;

function transition202Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img1-1_01");
	--print("img1-1l" .. visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img1-1_02");
	--print("img1-1r" .. visible2);
	CutScene2.left.anim02:Play(); --play second animation group (img1_1)
	CutScene2.right.anim02:Play();
end;

function transition203Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img2_01");
	--print("img2l" .. visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img2_02");
	--print("img2r" .. visible2);
	CutScene2.left.anim03:Play(); --play third animation group (img2)
	CutScene2.right.anim03:Play();
end;

function transition204Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Ally_01");
		--print("img3allyl" .. visible1);
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Ally_02");
		--print("img3allyr" .. visible2);
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Hrd_01");
		--print("img3hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Hrd_02");
		--print("img3horder" .. visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Hrd_01");
		--print("img3hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img3Hrd_02");
		--print("img3horder" .. visible2);
	end;
	CutScene2.left.anim04:Play(); --play fourth animation group (img3)
	CutScene2.right.anim04:Play();
end;

function transition205Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Ally_01");
		--print("img4allyl" .. visible1)
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Ally_02");
		--print("img4allyr" .. visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Horde_01");
		--print("img4hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Horde_02");
		--print("img4horder" .. visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Horde_01");
		--print("img4hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img4Horde_02");
		--print("img4horder" .. visible2);
	end;
	CutScene2.left.anim05:Play(); --play fifth animation group (img4)
	CutScene2.right.anim05:Play();
end;

function transition206Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Ally_01");
		--print("img5allyl" .. visible1)
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Ally_02");
		--print("img5allyr" .. visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Horde_01");
		--print("img5hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Horde_02");
		--print("img5horder" .. visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Horde_01");
		--print("img5hordel" .. visible1);
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img5Horde_02");
		--print("img5horder" .. visible2);
	end;
	CutScene2.left.anim06:Play(); --play sixth animation group (img5)
	CutScene2.right.anim06:Play();
end;

function transition207Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img6_01");
	--print("img6" .. visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img6_02");
	--print("img6" .. visible2);
	CutScene2.left.anim07:Play(); --play seventh animation group (img6)
	CutScene2.right.anim07:Play();
end;

function transition208Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Ally_01");
		--print(visible2)
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Hrd_01");
		--print(visible1)
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Hrd_01");
		--print(visible1)
		local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img7Hrd_02");
		--print(visible2);
	end;
	CutScene2.left.anim08:Play(); --play eighth animation group (img7)
	CutScene2.right.anim08:Play();
end;

function transition209Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img8_01");
	--print(visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img8_02");
	--print(visible2);
	CutScene2.left.anim09:Play(); --play ninth animation group (img8)
	CutScene2.right.anim09:Play();
end;

function transition210Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img9_01");
	--print(visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img9_02");
	--print(visible2);
	CutScene2.left.anim10:Play(); --play tenth animation group (img9)
	CutScene2.right.anim10:Play();
end;

function transition211Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img10_01");
	--print(visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img10_02");
	--print(visible2);
	CutScene2.left.anim11:Play(); --play eleventh animation group (img10)
	CutScene2.right.anim11:Play();
end;

function transition212Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img11_01");
	--print(visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img11_02");
	--print(visible2);
	CutScene2.left.anim12:Play(); --play twelveth animation group (img11)
	CutScene2.right.anim12:Play();
end;

function transition213Handler()
	local visible1 = CutScene2.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img12_01");
	--print(visible1);
	local visible2 = CutScene2.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs2\\cs2_img12_02");
	--print(visible2);
	CutScene2.left.anim13:Play(); --play thirtheenth animation group (img12)
	CutScene2.right.anim13:Play();
end;

function transition2endHandler()
	-- no number, to stress that this is the completion of this cutscene and any action will be going to some other thing
	CutScene2:Hide();
	MarauderRing:Show();
	MarauderBook:Show();
	if (MalVars.isRes == 1) then
		MarauderRes:Show();
	end;
	AddToQuestWindow(MalVars.nAla, "complete", MalVars.Quests.q3c.Title, MalVars.Quests.q3c.CompTop);
	MalVars.checkpoint = 690;
	--Tracker: complete quest 3c
	MarauderTracker.q3c.check:Show();
end;


-- ######################################################### --
-- cutscene 3 (all 4 screens are faction-specific)
-- ######################################################### --

function transition300Handler()
	--trace("called transition100Handler...");
	-- a delay animation that fades into black before the images start
	FadeToMarble:SetAlpha("0");
	FadeToMarble:Show();
	FadeToMarble.anim02:Play();
	local played = PlaySoundFile("Interface\\AddOns\\Maleante\\Sounds\\cutscene3.mp3", "Master");
end

function transition301Handler()
	-- before the first texture is displayed... this is the trigger for launching the cutscene
	MarauderRing:Hide();
	MarauderRes:Hide();
	MarauderBook:Hide();
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_ally_01");
		--print(visible1)
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img01_Hrd_02");
		--print(visible2);
	end;
	CutScene3.left:SetAlpha("0"); --since initial action is a fadein from black
	CutScene3.right:SetAlpha("0");
	CutScene3:Show(); -- the whole frame is hidden by default, so show it starting here until the end - with background visible
	CutScene3.left:Show(); --show default texture from XML file
	CutScene3.right:Show();
	CutScene3.left.anim01:Play(); --play 1st animation group (img01)
	CutScene3.right.anim01:Play();
end;

function transition302Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Ally_01");
		--print(visible1)
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img02_Hrd_02");
		--print(visible2);
	end;
	CutScene3.left.anim02:Play(); --play 2nd animation group (img02)
	CutScene3.right.anim02:Play();
end;

function transition303Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Ally_01");
		--print(visible1)
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img03_Hrd_02");
		--print(visible2);
	end;
	CutScene3.left.anim03:Play(); --play 3rd animation group (img03)
	CutScene3.right.anim03:Play();
end;

function transition304Handler()
	-- This one is faction-specific:
	local fg, fn = UnitFactionGroup("player");
	if (fg == "Alliance") then
		--print("matched Alliance");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Ally_01");
		--print(visible1)
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Ally_02");
		--print(visible2)
	elseif (fg == "Horde") then
		--print("matched Horde");
		local visible1 = CutScene3.left:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Hrd_02");
		--print(visible2);
	else
		--print("didn't match either faction group, defaulting to Horde versions, check matching logic");
		local visible1 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Hrd_01");
		--print(visible1)
		local visible2 = CutScene3.right:SetTexture("Interface\\AddOns\\Maleante\\Graphics\\cs3\\cut3_img04_Hrd_02");
		--print(visible2);
	end;
	CutScene3.left.anim04:Play(); --play 4th animation group (img04)
	CutScene3.right.anim04:Play();
end;

function transition3endHandler()
	-- no number, to stress that this is the completion of this cutscene and any action will be going to some other thing
	CutScene3:Hide();
	MarauderRing:Show();
	MarauderBook:Show();
	if (MalVars.isRes == 1) then
		MarauderRes:Show();
	end;
	AddToQuestWindow(MalVars.nAla, "complete", MalVars.Quests.q4a.Title, MalVars.Quests.q4a.CompTop);
	MalVars.checkpoint = 830;
	--Tracker: complete quest 4a
	MarauderTracker.q4a.check:Show();
end;

